Batch Account - List Outbound Network Dependencies Endpoints

この Batch アカウントの Batch コンピューティング ノードが Batch サービス管理の一部として呼び出す可能性があるエンドポイントを一覧表示します。 指定した仮想ネットワーク内にプールをデプロイする場合は、ネットワークでこれらのエンドポイントへの送信アクセスが許可されていることを確認する必要があります。 これらのエンドポイントへのアクセスを許可しないと、Batch によって影響を受けるノードが使用不能としてマークされる可能性があります。 仮想ネットワーク内でのプールの作成の詳細については、「https://learn.microsoft.com/azure/batch/batch-virtual-network」を参照してください。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Batch/batchAccounts/{accountName}/outboundNetworkDependenciesEndpoints?api-version=2025-06-01

URI パラメーター

名前 / 必須 型 説明
accountName
path True

string

minLength: 3
maxLength: 24
pattern: ^[a-zA-Z0-9]+$

バッチアカウントの名前で、地域内で一意でなければならない。 バッチアカウント名は3文字から24文字の範囲で、数字と小文字のみを使用してください。 この名前は、アカウント作成地域のバッチサービスにアクセスするためのDNS名の一部として使われます。 たとえば、 http://accountname.region.batch.azure.com/と指定します。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前は大文字と小文字が区別されます。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

応答

名前 型 説明
200 OK

OutboundEnvironmentEndpointCollection

Azure 操作は正常に完了しました。

Other Status Codes

CloudError

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

例

ListOutboundNetworkDependencies

要求のサンプル

GET https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct/outboundNetworkDependenciesEndpoints?api-version=2025-06-01

応答のサンプル

{
  "value": [
    {
      "category": "Azure Batch",
      "endpoints": [
        {
          "description": "Applicable to job manager tasks, tasks that use job scoped authentication, or any task that makes calls to Batch.",
          "domainName": "sampleacct.japaneast.batch.azure.com",
          "endpointDetails": [
            {
              "port": 443
            }
          ]
        },
        {
          "description": "Applicable to all Azure Batch pools.",
          "domainName": "japaneast.service.batch.azure.com",
          "endpointDetails": [
            {
              "port": 443
            }
          ]
        }
      ]
    },
    {
      "category": "Azure Storage",
      "endpoints": [
        {
          "description": "AutoStorage endpoint for this Batch account. Applicable to all Azure Batch pools under this account.",
          "domainName": "autostorageaccountname.blob.core.windows.net",
          "endpointDetails": [
            {
              "port": 443
            }
          ]
        },
        {
          "description": "Applicable to all Azure Batch pools.",
          "domainName": "*.blob.core.windows.net",
          "endpointDetails": [
            {
              "port": 443
            }
          ]
        },
        {
          "description": "Applicable to all Azure Batch pools.",
          "domainName": "*.table.core.windows.net",
          "endpointDetails": [
            {
              "port": 443
            }
          ]
        },
        {
          "description": "Applicable to all Azure Batch pools.",
          "domainName": "*.queue.core.windows.net",
          "endpointDetails": [
            {
              "port": 443
            }
          ]
        }
      ]
    },
    {
      "category": "Microsoft Package Repository",
      "endpoints": [
        {
          "description": "Only applicable to pools containing a Mount Configuration. Learn about Mount Configurations in Batch at https://learn.microsoft.com/azure/batch/virtual-file-mount.",
          "domainName": "packages.microsoft.com",
          "endpointDetails": [
            {
              "port": 443
            }
          ]
        }
      ]
    },
    {
      "category": "Azure Key Vault",
      "endpoints": [
        {
          "description": "Only applicable to pools containing a Disk Encryption Configuration and whose VM size does not support encryption at host. Learn more about disk encryption in Azure Batch at https://learn.microsoft.com/azure/batch/disk-encryption. Learn more about encryption at host and supported VM sizes at https://learn.microsoft.com/azure/virtual-machines/disks-enable-host-based-encryption-portal.",
          "domainName": "*.vault.azure.net",
          "endpointDetails": [
            {
              "port": 443
            }
          ]
        }
      ]
    }
  ]
}

定義

名前 説明
CloudError

Batch サービスからのエラー応答。

CloudErrorBody

Batch サービスからのエラー応答。

EndpointDependency

依存関係へのアクセスに使用されるドメイン名と接続の詳細。

EndpointDetail

Batch サービスとエンドポイント間の接続の詳細。

OutboundEnvironmentEndpoint

Batch サービスが送信アクセスを必要とする同じサービスの関連エンドポイントのコレクション。

OutboundEnvironmentEndpointCollection

List 操作によって返される値。

CloudError

Batch サービスからのエラー応答。

名前 型 説明
error

CloudErrorBody

エラー応答の本文。

CloudErrorBody

Batch サービスからのエラー応答。

名前 型 説明
code

string

エラーの識別子。 コードは不変であり、プログラムで使用することを目的としています。

details

CloudErrorBody[]

エラーに関する追加の詳細の一覧。

message

string

ユーザー インターフェイスでの表示に適したエラーを説明するメッセージ。

target

string

特定のエラーのターゲット。 たとえば、エラーが発生したプロパティの名前です。

EndpointDependency

依存関係へのアクセスに使用されるドメイン名と接続の詳細。

名前 型 説明
description

string

依存関係とその適用時期に関する人間が判読できる補足情報。

domainName

string

依存関係のドメイン名。 ドメイン名は、完全修飾または * ワイルドカードを含む場合があります。

endpointDetails

EndpointDetail[]

このエンドポイントの接続の詳細の一覧。

EndpointDetail

Batch サービスとエンドポイント間の接続の詳細。

名前 型 説明
port

integer (int32)

エンドポイントが接続されているポート。

OutboundEnvironmentEndpoint

Batch サービスが送信アクセスを必要とする同じサービスの関連エンドポイントのコレクション。

名前 型 説明
category

string

Batch サービスが接続するサービスの種類。

endpoints

EndpointDependency[]

Batch サービスが送信呼び出しを行うこのサービスのエンドポイント。

OutboundEnvironmentEndpointCollection

List 操作によって返される値。

名前 型 説明
nextLink

string (uri)

アイテムの次のページへのリンク

value

OutboundEnvironmentEndpoint[]

このページの OutboundEnvironmentEndpoint 項目